From 35f0b30845e79a0c4adfbdae6de64fcbd197531b Mon Sep 17 00:00:00 2001
From: ReenigneArcher <42013603+ReenigneArcher@users.noreply.github.com>
Date: Sat, 12 Jul 2025 20:41:17 -0400
Subject: [PATCH] build(wayland): ensure libdrm is found (#4070)

--- a/cmake/compile_definitions/linux.cmake
+++ b/cmake/compile_definitions/linux.cmake
@@ -85,18 +85,27 @@ if(CUDA_FOUND)
     add_compile_definitions(SUNSHINE_BUILD_CUDA)
 endif()
 
+# libdrm is required for both DRM (KMS) and Wayland
+if(${SUNSHINE_ENABLE_DRM} OR ${SUNSHINE_ENABLE_WAYLAND})
+    find_package(LIBDRM REQUIRED)
+else()
+    set(LIBDRM_FOUND OFF)
+endif()
+if(LIBDRM_FOUND)
+    include_directories(SYSTEM ${LIBDRM_INCLUDE_DIRS})
+    list(APPEND PLATFORM_LIBRARIES ${LIBDRM_LIBRARIES})
+endif()
+
 # drm
 if(${SUNSHINE_ENABLE_DRM})
-    find_package(LIBDRM REQUIRED)
     find_package(LIBCAP REQUIRED)
 else()
-    set(LIBDRM_FOUND OFF)
     set(LIBCAP_FOUND OFF)
 endif()
 if(LIBDRM_FOUND AND LIBCAP_FOUND)
     add_compile_definitions(SUNSHINE_BUILD_DRM)
-    include_directories(SYSTEM ${LIBDRM_INCLUDE_DIRS} ${LIBCAP_INCLUDE_DIRS})
-    list(APPEND PLATFORM_LIBRARIES ${LIBDRM_LIBRARIES} ${LIBCAP_LIBRARIES})
+    include_directories(SYSTEM ${LIBCAP_INCLUDE_DIRS})
+    list(APPEND PLATFORM_LIBRARIES ${LIBCAP_LIBRARIES})
     list(APPEND PLATFORM_TARGET_FILES
             "${CMAKE_SOURCE_DIR}/src/platform/linux/kmsgrab.cpp")
     list(APPEND SUNSHINE_DEFINITIONS EGL_NO_X11=1)
